Subject: Archive files newly arrived

From: [email-masked] (Charles Lasner)
Date: 28 Jul 1994 12:52:34 GMT

The pdp-8 archive is moving right along.  Sunsite.unc.edu now has a major 
collection of RX50 images for the DECmate II,III,III+ which includes (at 
least!) all of the following:

OS/278 V2 in three forms:  The DM-101 release disks of the "official" 
binary, the DM-111 release disks of the "alleged" sources, and a 
personalized disk I made up a while back that includes some stuff not 
found elsewhere, including a working copy of Kermit-12 that will run on 
any of these machines.  (Note: this is *not* the current release of 
Kermit-12, as there is no such thing!  To produce the *best* version, you 
must patch the copy on this diskette.  However, as documented in 
k12mit.bwr, the patch is needed only on DECmate I systems, and thus 
hasn't been the cause for a complete release, etc.  To create a version 
10h system, start with 10g such as is on this diskette, and apply the 
documented patch, etc.)

The working diskette includes a diskcopy routine which allows copying of 
any RX50.  Note that many DEC release disks are clearly marked "COPY 
DISKETTE AND USE COPY" as the booting to the diskette modifies it, 
possibly for the worse.  (For example, WPS System disks have a once-only 
routine to set the date format for manual date setting.  Once chosen, you 
cannot change the input format ever again.  By using a copy, the original 
can be preserved to allow changing the option on another installation, etc.)

Also present is an old version of TECO that mostly works on a DECmate.  
Curiously, it was somewhat deficient on the PDP-8, but works better on 
the DECmate!  (It would appear that the misunderstandong of the PDP-8 
keyboard handling on the part of the author, and the incompatibility of 
the DECmate keyboard handling relative to the PDP-8 are complementary :-))

This completes the first pass of RX50 image disks for the archive.  At 
this point, the release disks for most of the major systems is present: 
Master Menu, System Test Diskette, WPS-US, CP/M-80, MS-DOS, OS/278, COS, 
and some assorted applications and stand-alone minor applications such as 
Typeasy.  Additional disk images will continue to be added including 
games disks, etc.

I will also be adding the release disks for Kermit-12 for version 10g 
(which includes the .bwr file that explains how to patch the binary to 
10h for the benefit of the DECmate I).  Without OS/278 first being in the 
archive, these diskette images are as useless to the average user as are 
the individual files elsewhere in the archive, etc.  Now that the OS/278 
disk images are available, it's appropriate to release the program in 
this form, etc.  Additionally, these disks have the correct file dates 
while archive files are often inaccurate due to the deficient nature of 
FTP transfer, etc.

Note that the diskette image files are now stored in the directory: 
.../pdp-8/diskimages *not* images.  The next level of directory remains 
rx50 and then teledisk for the .zip files of teledisk images (.td0) and 
.lbl files combined, and then labels for the directory of open ASCII text 
files for disk labels separately.  In the future, the same information 
may be available in an alternate format or two, but for now, teledisk 
images are the only interchage format, etc.

cjl